# Tehtava.Status
declaration: module: com.example.harjoitustyo, package: com.example.harjoitustyo, class: Tehtava, enum: Status

# Enum Class Tehtava.Status

java.lang.Object
java.lang.Enum<Tehtava.Status>
com.example.harjoitustyo.Tehtava.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<Tehtava.Status>`, `Constable`

Enclosing class:
  `Tehtava`

public static enum Tehtava.Status extends Enum<Tehtava.Status>
Enum tehtävän tilan seuraamiseen

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Luotu`
`Vaiheessa`
`Valmis`

## Method Summary

Modifier and Type
Method
Description
`static Tehtava.Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Tehtava.Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Luotu

public static final Tehtava.Status Luotu

### Vaiheessa

public static final Tehtava.Status Vaiheessa

### Valmis

public static final Tehtava.Status Valmis

## Method Details

### values

public static Tehtava.Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Tehtava.Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null